Kerbal Space Program - Bug #13519

The sky looks like crap
01/04/2017 09:39 AM - Sigma88

Status: Not Fixed Start date: 01/04/2017
Severity: Normal % Done: 50%
Assignee:

Category: Camera

Target version: 1.3.0

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Description:

The sky looks like crap (see screenshots)

How to reproduce:

1- run KSP, load or create a game, put a vessel on the launch pad

2- time warp untill the sun is at the zenith (use shadows to get it more or less right)
3- zoom out almost at the limit of the zoom

4- look at the sky

Possible solution:

Change AtmosphereFromGround.transform.localScale from 1.025 to 1.05 (see screenshots for result)

at the moment all atmospheric planets have the localScale at 1.025 as far as | can tell. setting it at 1.05 fixes all the issues as far as |
can tell.

more specifically, AtmosphereFromGround has a "OuterRadius" which is always 1.025,

right now localscale and outerradius are the same, | found that doubling the distance from 1 of OuterRadius and use that number in
AFG.transform.localScale gives always good result

so for OuterRadius = 1.025 you use localScale = 1.05, for OuterRadius = 1.05 you would use localScale = 1.1
etc

right now all atmospheric planets have OuterRadius = 1.025 so all the localScale can be set to 1.05

of course localScale is a vector, so all values (x, y and z) have to be set to 1.05

hope this helped

History

#1 - 06/24/2017 11:14 PM - bewing
- Status changed from New to Ready to Test
- Target version set to 1.3.0

- % Done changed from 0 to 80

It doesn't have a hard edge anymore in 1.3.0. Please retest and see if it's good enough.

#2 - 06/26/2017 12:19 AM - dok_377
- File screenshot35.jpg added
1.3.0 definitely has a hard edge. And on top of that it still has that "layering" effect in the atmosphere, low and high altitudes. 1.1 sure did some help
with smoothing that effect, but it's still there. Color gradient in the atmospheres is still way too rough and that white band not looking very good at all.

#3 - 07/06/2017 06:10 PM - Sigma88
- File Screenshot 2017-07-06 20.07.41.png added

yeah, | don't think AtmosphereFromGround got changed at all, all parameters are set to the same values as before as far as | can tell.

and the edge is still there.
same steps to reproduce as before:

- put a vessel on the launchpad (don't move the camera)
- zoom out until you see the edge

#4 - 08/26/2017 01:09 PM - Sigma88

this appear to be solved on the pre-release 1.3.1

thanks a lot for addressing this issue!

#5 - 10/29/2017 06:06 PM - Sigma88

- Version changed from 1.2.2 to 1.3.1

apparently the fix itroduced in the 1.3.1-prerelease was reverted before release
this issue is still present in 1.3.1 release

#6 - 04/13/2019 08:44 AM - Anth12

- File screenshot1.png added

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Been quite a while....but not fixed.
